package com.gic.auth.dao.mapper;

import com.gic.auth.dto.ResourceDTO;
import com.gic.auth.entity.TabSysResource;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * @ClassName: TabSysResourceMapper
 * @Description:  
 * @author zhiwj
 * @date 2020-09-10 9:41
 */
public interface TabSysResourceMapper {

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabSysResource record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabSysResource record);

    /**
     * 根据主键查询
     *
     * @param resourceId 主键
     * @return 实体对象
     */
    TabSysResource selectByPrimaryKey(Integer resourceId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabSysResource record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabSysResource record);

    /**
     * listResource
     * @Title: listResource
     * @Description:
     * @author zhiwj
     * @param resourceDTO
     * @return com.github.pagehelper.Page<com.gic.auth.entity.TabSysResource>
     * @throws
     */
    Page<TabSysResource> listResource(ResourceDTO resourceDTO);

    /**
     * getBySelective
     * @Title: getBySelective
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param resourceName
     * @param resourceId
     * @return com.gic.auth.entity.TabSysResource
     * @throws
     */
    TabSysResource getBySelective(@Param("enterpriseId") Integer enterpriseId, @Param("resourceName") String resourceName, @Param("resourceId") Integer resourceId);

    /**
     * listByIds
     * @Title: listByIds
     * @Description:
     * @author zhiwj
     * @param ids
     * @return java.util.List<com.gic.auth.entity.TabSysResource>
     * @throws
     */
    List<TabSysResource> listByIds(@Param("ids") List<Integer> ids);
}