package com.gic.auth.service;

import com.gic.auth.dto.ResourceDTO;
import com.gic.auth.entity.TabSysResource;
import com.github.pagehelper.Page;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019/8/28 18:29
 */
public interface ResourceService {
    /**
     * save
     * @Title: save
     * @Description:
     * @author zhiwj
     * @param resourceDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer save(ResourceDTO resourceDTO);

    /**
     * update
     * @Title: update
     * @Description:
     * @author zhiwj
     * @param resourceDTO
     * @return java.lang.Integer
     * @throws
     */
    Integer update(ResourceDTO resourceDTO);

    /**
     * delResource
     * @Title: delResource
     * @Description:
     * @author zhiwj
     * @param resourceId
     * @return java.lang.Integer
     * @throws
     */
    Integer delResource(Integer resourceId);

    /**
     * listResource
     * @Title: listResource
     * @Description:
     * @author zhiwj
     * @param resourceDTO
     * @param pageNum
     * @param pageSize
     * @return com.github.pagehelper.Page<com.gic.auth.entity.TabSysResource>
     * @throws
     */
    Page<TabSysResource> listResource(ResourceDTO resourceDTO, Integer pageNum, Integer pageSize);

    /**
     * getResource
     * @Title: getResource
     * @Description:
     * @author zhiwj
     * @param resourceId
     * @return com.gic.auth.entity.TabSysResource
     * @throws
     */
    TabSysResource getResource(Integer resourceId);

    /**
     * isRepeatByResourceName
     * @Title: isRepeatByResourceName
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param resourceName
     * @param resourceId
     * @return boolean
     * @throws
     */
    boolean isRepeatByResourceName(Integer enterpriseId, String resourceName, Integer resourceId);

    /**
     * listByIds
     * @Title: listByIds
     * @Description:
     * @author zhiwj
     * @param ids
     * @return java.util.List<com.gic.auth.entity.TabSysResource>
     * @throws
     */
    List<TabSysResource> listByIds(List<Integer> ids);
}
